LINUX.ORG.RU
ФорумTalks

Я был не прав.


0

1

Добрый вечер. Недавно я говорил кому-то, что pacman нормально справляется с зависимостями, что я лишь пару раз доделывал всё вручную... Так вот, поставил пока arch, я хочу извиниться, я не помню, кому это говорил, но ты был прав, джента в этом плане на голову выше арча, там достаточно прописать use-флаги и portage сам всё сделает, а тут надо руками ставить библиотеки(причём не всегда понятно какие нужны), чтобы заработало то, что хочешь. Хотя работает он всё-таки шустрее, но это скорее всего особенность бинарного пакетного менеджера, ему меньше надо просчитывать. Так что признаю, pacman, по сравнению с portage(или paludis), выглядит недоделаным.

Ответ на: комментарий от note173

На блокировку напоролся всего 3 раза: когда ставил амарок и когда мне очень нетерпелось обновить кеды. Зато про блокировки он сразц пишет и показывает, что надо исправить, дабы работало, а тут думай сам, каких либ не хватает.

Eichhorn ()

Я не совсем понимаю, о чем ты.
У пакетов из реп нет проблем с зависимостями.
Если ты любитель обмазывать систему несвежими пкгбилдами, а потом плакаться, что в этих несвежих пкгбилдах проблемы с зависимостями, то при чем тут арч и пакман?

pekmop1024 ★★★★★ ()

Можно конкретные примеры того, что не работает так, как надо и нужно руками ставить библиотеки?

У меня никогда таких проблем не было, серьезно.

neocrust ★★★★★ ()
Ответ на: комментарий от f1st

Поставьте блоб от нвидии. Потом поставьте нуво. Потом попробуйте обратно поставить блоб.

Приятного вечера.

Hoodoo ★★★★★ ()
Ответ на: комментарий от Eichhorn

> На блокировку напоролся всего 3 раза
Ололо! А иксы ты не ставил? А wm? Или ставил все какаим-то мета-пакетом?(надо полагать, так и было, учитывая, что ты используешь кеды)
Реально, первую неделю на свежей генте приходится разруливать зависимости. Когда основной софт поставишь - там уже поменьше проблем с ними...

kermzyxer ()
Ответ на: комментарий от kermzyxer

С блокировкой в последний раз имел секс года три-четыре назад, потом всего пару раз сталкивался и решалось все за минуты. ЧЯДНТ?

Правильные юз-флаги решают.

fatikled ()
Ответ на: комментарий от Eichhorn

>про блокировки он сразц пишет и показывает
Да он и автоматом может многие из них разрешать...

GAMer ★★★★★ ()
Ответ на: комментарий от kermzyxer

> Реально, первую неделю на свежей генте приходится разруливать зависимости. Когда основной софт поставишь - там уже поменьше проблем с ними...
O_o. USE="-* qt kde qt3support unicode <некоторые основные> в /etc/make.conf, остальное в /etc/portage/package.use/ и никаких блокировок.

tn1 ()
Ответ на: комментарий от tn1

> <некоторые основные> в /etc/make.conf, остальное в /etc/portage/package.use/ и никаких блокировок.

О чем собственно и речь.

Правильные юз-флаги решают.

fatikled ()
Ответ на: комментарий от kermzyxer

Эмм... xorg-server и @kde-4.6, никаких проблем с блокировками. Из всего, что потом ставил разбирался только с амароком, ну и был момент с jpeg и turbo-jpeg кажется, да и то решилось правкой ебилда какой-то программы, тянувшей его за собой.

Eichhorn ()
Ответ на: комментарий от neocrust

Последний раз нужно было ставить кучу разных пакетов с GStreamer'ом, иначе какой-то формат не проигрывался, не помню сейчас какой.

Eichhorn ()
Ответ на: комментарий от Eichhorn

> GStreamer'ом, иначе какой-то формат не проигрывался, не помню сейчас какой.
Про это написано на wiki.

tn1 ()
Ответ на: комментарий от note173

У меня ~x86_64 на всю систему, никаких блокировок, можно пример?

Кстати, джента в установке удобнее тем, что сразу есть links.

Eichhorn ()

>достаточно прописать use-флаги и portage сам всё сделает, а тут надо руками ставить библиотеки(причём не всегда понятно какие нужны), чтобы заработало то, что хочешь

Это особенность не Арча, а любого бинарного дистра, не?

AX ★★★★★ ()
Ответ на: комментарий от AX

Если честно не знаю, использовал только бунту, чакру и арч, так как после бунты хотел кеды, которые завелись только в арче.

Eichhorn ()

Как все-таки гента уродует мозг.

thesis ★★★★★ ()
Ответ на: комментарий от Eichhorn

Всё нужное ставится одним мета-пакетом:

# pacman -S gstreamer0.10-plugins
Советую иногда читать вики, там много есть, и это то же =]

neocrust ★★★★★ ()
Ответ на: комментарий от f1st

Если бы я каждый день ставил и сносил новые пакеты, я бы вам подсказал ещё что-нибудь, не сомневайтесь. Это самый свежий и злоскребучий пример (и я кстати понимаю, отчего оно так, а не иначе), и оно очень весело, гарантирую.

Я в общем и целом люблю арч и вряд ли в обозримом будущем буду пользоваться на десктопе чем-то другим (единственный критерий оценки дистра), но номера он иногда откалывает забавные.

Hoodoo ★★★★★ ()
Ответ на: комментарий от fatikled

> Правильные юз-флаги решают.
Почему то use-флаги, которые я хочу, вызывают блокировки. Они из-за этого становятся неправильными?

kermzyxer ()
Ответ на: комментарий от fatikled

>Правильные юз-флаги решают.

Да чоужтам, ставишь натив-марш и всё летает! А ещё лучше винду-семёрочку! Я ниипацо крутой гентушник!

К товарищам, кто говорил про «флаги на любителя». Вот те раз! А я то думал у машины жёсткая логика и флаги для одинакового железа и софта должны быть одни и те же?

darkshvein ☆☆ ()
Ответ на: комментарий от tn1

> USE="-* qt kde qt3support unicode <некоторые основные> в /etc/make.conf, остальное в /etc/portage/package.use/ и никаких блокировок.
Если я выложу свои конфиги, ты испугаешься =) (сейчас стоит debian)
Они выглядят примерно вот так:
http://lurkmore.ru/Gentoo#.D0.9F.D1.80.D0.B8.D0.BC.D0.B5.D1.80_.D1.8E.D0.B7_....

kermzyxer ()
Ответ на: комментарий от kermzyxer

У меня скромно и работает

ACCEPT_KEYWORDS="~amd64"
FEATURES="${FEATURES} nodoc noinfo candy -news"

CFLAGS="-O2 -march=native -pipe -fomit-frame-pointer \
-ftree-vectorize -mfpmath=sse -msse3 -mssse3 -mmmx -fexcess-precision=fast \
-floop-interchange -floop-block -floop-strip-mine -fgraphite-identity \
--param l1-cache-size=32 --param l2-cache-size=1024 \
"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j4 -s"
USE="-* hardened pic python3 \
mmx sse sse2 sse3 ssse3 nptl nptlonly openmp threads minimal \
unicode truetype font-styles"

source /var/lib/layman/make.conf

PS показал значимую часть.

tn1 ()
Ответ на: комментарий от Hoodoo

> Приятного вечера.

неосилятор арчевики детектед. Там же английским по-белому написано, что нужно блэклистить модуль нуво.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от Eichhorn

> Кстати, джента в установке удобнее тем, что сразу есть links
Убунта в установке удобна тем, что сразу есть установленная система)

note173 ★★★★★ ()
Ответ на: комментарий от note173

> но у меня udev два раза хотел снести полсистемы
не 3.1415926535 8979323846 2643383279 5028841971 6939937510зди.

tn1 ()
Ответ на: комментарий от Hoodoo

>Поставьте блоб от нвидии. Потом поставьте нуво. Потом попробуйте обратно поставить блоб.
Ну вот опять обвиняем pacman в глюках кривых драйверов под нвидию?

kernelpanic ★★★★★ ()
Ответ на: комментарий от note173

> Убунта в установке удобна тем, что сразу есть установленная система)

Только у нее есть недостаток, типичный для оффтопика - она живет своей жизнью и считает себя умнее пользователя.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от Hoodoo

Ну незнаю, сижу уже год на тестинге, обнавляюсь примерно раз в неделю, проблемы были только при переезде не 3-й питон.

f1st ()
Ответ на: комментарий от pekmop1024

Вон оно что.

А вы специально искали, чтобы показать, какой я тупой, просто переставляли недавно драйверы или читаете арчвики на ночь? %)

Hoodoo ★★★★★ ()
Ответ на: комментарий от megabaks

блокировки надо отлавливать, только если полноценный мультилиб собираешь :) все остальное уже смахивает на рукожопие.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от Hoodoo

Ни то, ни другое. У меня просто есть невидия и знаю, как не биться головой о стену. Вполне логично ведь, что если тебе захотелось экспериментальных нестабильных драйверов, нужно пойти и почитать о них документацию в вики. Ах да, забыл, нормальная документация есть у считаных дистров, а до документированности арча вообще большинству, как до луны раком.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от note173

Когда последний раз ставил не смог подключить сеть, чтобы сразу поставить новые пакеты и нормально разбить диск(не помню, что именно не получилось там сделать).

А 11.хх(или 10.хх не помню) полученный по почте вообще отказывался работать, пока сам не разобьёшь диск, он разделы превращал в какой-то фарш и не запускался. Ах да, он ещё не предлагал поставить граб, если нажать кнопку, что б он сам создал таблицу разделов.

Eichhorn ()
Ответ на: комментарий от pekmop1024

Я специально в посте указал, что понимаю, отчего возникают конфликты - всё-таки иногда и понемножку я документацию читаю.

Просто ситуация смешная - меняешь драйвер - сноси иксы со всей начинкой (именно так это выглядит, если смотреть на выхлоп пакмана).

Hoodoo ★★★★★ ()
Ответ на: комментарий от pekmop1024

STOP REOPENING

>У пакетов из реп нет проблем с зависимостями.
https://bugs.archlinux.org/task/18460
https://bugs.archlinux.org/task/21920
https://bugs.archlinux.org/task/17592
и ещё с полсотни подобных, не только с mkvtoolnix/wxgtk.
Казалось бы, при чём тут арч и пакман?

x3al ★★★★★ ()
Ответ на: комментарий от Eichhorn

У меня такого никогда не случалось, но я верю - это линукс, тут как повезет.
С гентой не сравниваю: она слишком специфично. Сам гентой пользовался из-за скорости выпуска альфа-бета версий софта. С развитием ppa необходимость в ней отпала.

note173 ★★★★★ ()
Ответ на: комментарий от tn1

> У меня скромно и работает
Верю, верю =)
Наверно я, криворукий, слишком много общих USE-флагов прописал ))

Скоро буду ноут покупать, думаю что на него поставить: debian или gentoo.
Вроде и хочется Gentoo поставить, но не хочется с ядром возиться.. Не то, чтобы сильно напрягает, просто привык, что ядро поставляется дистрибутивом ;) (не использую Gentoo год)
Как там сейчас с genkernel'ом? Он адекватен? Может сам сделать initramfs с загрузкой видеодрайвера(KMS же) и установить заранее шрифт в консоли, утянутый из конфига? Вроде мне на ноуте от initramfs болше и не надо...

kermzyxer ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.